INTERFACE
SUBROUTINE AOD_AD&
 & ( KDLEN , KLEN , KMXCOUNT,&
 & PQF, PTF, PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PQF5, PTF5, PPRESH5, PPRESF5,&
 & YDGEMSPROF5,&
 & PAEROD_HAT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KMXCOUNT
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF(KDLEN,NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDLEN,NGEMS)
TYPE (TYPE_GEMSPROF) ,INTENT(INOUT) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB), INTENT(INOUT) :: PAEROD_HAT(KDLEN,KMXCOUNT)
INTEGER(KIND=JPIM), PARAMETER :: JTABMX=12
END SUBROUTINE AOD_AD
END INTERFACE
